import * as React from 'react';
import { Icon, Step, Button } from 'semantic-ui-react';
import { Label, Menu, Table } from 'semantic-ui-react';


export class DiscoveryResult extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }

  render() {

    return (
      <div style={{ margin: "20px" }}>
        <Stepper />
        <PropertyTable />
      </div>
    );
  }
}

export class Stepper extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
      currentStep: 0,
    };
  }

  handleActive(idx: number): boolean {
    if (this.state.currentStep === idx) {
      return true;
    }
    return false;
  }

  handleCompleted(idx: number): boolean {
    if (this.state.currentStep > idx) {
      return true;
    }
    return false;
  }

  handlePrev(event: any, data: object) {
    let step: number = this.state.currentStep;
    if (step <= 1) {
      step = 1;
    } else {
      step--;
    }
    this.setState({
      currentStep: step,
    });
  }
  handleNext(event: any, data: object) {
    let step: number = this.state.currentStep;
    if (step >= 4) {
      step = 4;
    } else {
      step++;
    }
    this.setState({
      currentStep: step,
    });
  }


  render() {
    return (
      <div>
        <Step.Group>
          <Step active={this.handleActive(1)} completed={this.handleCompleted(1)}>
            <Icon name='truck' />
            <Step.Content>
              <Step.Title>Step 1</Step.Title>
              <Step.Description>Choose your shipping options</Step.Description>
            </Step.Content>
          </Step>

          <Step active={this.handleActive(2)} completed={this.handleCompleted(2)}>
            <Icon name='payment' />
            <Step.Content title='Step 2' description='Enter billing information' />
          </Step>

          <Step active={this.handleActive(3)} completed={this.handleCompleted(3)}
            icon='info' title='Step 3' />
        </Step.Group>

        <br />

        <Button.Group>
          <Button onClick={this.handlePrev.bind(this)}>Prev</Button>
          <Button.Or />
          <Button positive onClick={this.handleNext.bind(this)} >Next</Button>
        </Button.Group>

      </div>
    );
  }
}


export class PropertyTable extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }

  render() {
    return (
      <Table celled={false}>
        <Table.Body>
          <Table.Row>
            <Table.Cell collapsing>
              <Label ribbon>Domain</Label>
            </Table.Cell>
            <Table.Cell>Property value</Table.Cell>
          </Table.Row>
          <Table.Row>
            <Table.Cell collapsing>
              <Label ribbon >Host IP</Label>
            </Table.Cell>
            <Table.Cell>Property value</Table.Cell>
          </Table.Row> 
          <Table.Row>
            <Table.Cell collapsing>
              <Label ribbon >Host Name</Label>
            </Table.Cell>
            <Table.Cell>Property value</Table.Cell>
          </Table.Row>
          <Table.Row>
            <Table.Cell collapsing>
              <Label ribbon>Auth at</Label>
            </Table.Cell>
            <Table.Cell>Property value</Table.Cell>
          </Table.Row>
        </Table.Body>
      </Table>
    );
  }
}


