import * as React from 'react';
import { Button, Table, Label } from 'semantic-ui-react';
import { Targets } from './Targets';

export class ProbeDetails extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }

  componentWillMount() {

  }

  handleStartStop(event: any, data: any) {
    console.log(event);
  }
  handleDiscovery(event: any, data: any) {
    alert('Discovery');
  }

  handleBack(event: any, data: any) {
    console.log(data);
  }


  showStartStopBtn() {
    if (this.props.probe.metaProbeStatus.name === 'STARTED') {
      return <Button content='Stop' icon='stop' labelPosition='left' color={'blue'} floated={'right'} onClick={this.handleStartStop} />;
    } else {
      return <Button content='Start' icon='play' labelPosition='left' color={'blue'} floated={'right'} onClick={this.handleStartStop} />;
    }
  }

  render() {
    let elem: any;
    if (this.props.probe === null) {
      elem = <div></div>;
    } else {
      elem =
        <div>Probe Details...
          <Table celled={false}>
            <Table.Body>
              <Table.Row>
                <Table.Cell collapsing>
                  <Label ribbon>Domain</Label>
                </Table.Cell>
                <Table.Cell>{this.props.probe.domain.name}</Table.Cell>
              </Table.Row>
              <Table.Row>
                <Table.Cell collapsing>
                  <Label ribbon>Status</Label>
                </Table.Cell>
                <Table.Cell>{this.props.probe.metaProbeStatus.name}</Table.Cell>
              </Table.Row>
              <Table.Row>
                <Table.Cell collapsing>
                  <Label ribbon >Host IP</Label>
                </Table.Cell>
                <Table.Cell>????</Table.Cell>
              </Table.Row>
              <Table.Row>
                <Table.Cell collapsing>
                  <Label ribbon >Host Name</Label>
                </Table.Cell>
                <Table.Cell>????</Table.Cell>
              </Table.Row>
              <Table.Row>
                <Table.Cell collapsing>
                  <Label ribbon>Authorized at</Label>
                </Table.Cell>
                <Table.Cell>{this.props.probe.createDate}</Table.Cell>
              </Table.Row>
              <Table.Row>
                <Table.Cell collapsing>
                  <Label ribbon>Description</Label>
                </Table.Cell>
                <Table.Cell>{this.props.probe.description}</Table.Cell>
              </Table.Row>
            </Table.Body>
          </Table>
          <Button content='Back' icon='left arrow' labelPosition='left' onClick={this.handleBack} />
          <Button content='Discovery' icon='search' labelPosition='left' floated={'right'} positive onClick={this.handleDiscovery} />
          {this.showStartStopBtn()}

          <Targets/>
        </div>;
    }
    return (
      <div>
        {elem}
      </div>
    );
  }
}



