import * as React from 'react';
import { Icon, Step, Button } from 'semantic-ui-react';
import { Grid, Image, Label, Segment, Dropdown } from 'semantic-ui-react';


export class SensorConfiguration extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }


  render() {
    let steps = [<CrawlerSelector />, <SensorItemSelector />];

    return (
      <Stepper steps={steps} />
    );
  }
}


export class Stepper extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
      currentStep: 1,
    };
  }

  handleActive(idx: number): boolean {
    if (this.state.currentStep === idx) {
      return true;
    }
    return false;
  }

  handleCompleted(idx: number): boolean {
    if (this.state.currentStep > idx) {
      return true;
    }
    return false;
  }

  handlePrev(event: any, data: object) {
    let step: number = this.state.currentStep;
    if (step <= 1) {
      step = 1;
    } else {
      step--;
    }
    this.setState({
      currentStep: step,
    });
  }
  handleNext(event: any, data: object) {
    let step: number = this.state.currentStep;
    if (step >= 4) {
      step = 4;
    } else {
      step++;
    }
    this.setState({
      currentStep: step,
    });
    console.log(this.state.currentStep);
  }

  showContent() {
    return this.props.steps[this.state.currentStep - 1];
  }

  render() {
    return (
      <div>
        <Step.Group>
          <Step active={this.handleActive(1)} completed={this.handleCompleted(1)}>
            <Icon name='settings' />
            <Step.Content title='Step 1' description='골라골라 크롤러를 골라' />
          </Step>

          <Step active={this.handleActive(2)} completed={this.handleCompleted(2)}>
            <Icon name='list ul' />
            <Step.Content title='Step 2' description='골라골라 아이템도 골라' />
          </Step>

          <Step active={this.handleActive(3)} completed={this.handleCompleted(3)}>
            <Icon name='options' />
            <Step.Content title='Step 3' description='나머지도 골라 아 빨리' />
          </Step>
        </Step.Group>
        <br />
        {this.showContent()}
        <br />
        <Button.Group floated={'right'}>
          <Button onClick={this.handlePrev.bind(this)}>Prev</Button>
          <Button.Or />
          <Button positive onClick={this.handleNext.bind(this)} >Next</Button>
        </Button.Group>

      </div>
    );
  }
}


export class CrawlerSelector extends React.Component<any, any> {

  private crawlers: object[];
  
  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
      selected: null,
    };
  }

  componentWillMount() {
    //todo. getting MetaCrawler list
    this.crawlers = [
      {
        "id": "1",
        "name": "WMI",
        "description": "WMI DESCRIPTION"
      },
      {
        "id": "2",
        "name": "SNMP",
        "description": "SNMP DESCRIPTION"
      },
      {
        "id": "3",
        "name": "JMX",
        "description": "JMX DESCRIPTION"
      },
    ];

    let crawlerOptions = [];
    let crawler: any;
    for (crawler of this.crawlers) {
      var option = {
        key: crawler.id,
        text: crawler.name,
        value: crawler.name,
        icon: 'windows',
      };
    }

  }

  handleCrawlerSelection(e: any, data: any) {
    this.setState({
      selected: data.value,
    });
  }

  showCrawlerAuthInfo() {
    if (this.state.selected === null) {
      return null;
    }
    return <div>{this.state.selected} auth inputs </div>;
  }

  render() {

    return (
      <div>
        <Grid columns={1}>
          <Grid.Column>
            <Segment raised>
              <Label color='red' ribbon>INFO</Label>
              <span>Choose a Crawler type.</span>
              <br />
              <br />
              <Dropdown openOnFocus
                placeholder='Select Crawler' selection options={crawlerOptions} onChange={this.handleCrawlerSelection.bind(this)} />

              {this.showCrawlerAuthInfo()}
            </Segment>
          </Grid.Column>
        </Grid>

      </div>
    );
  }

}

export class SensorItemSelector extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }

  render() {
    return (
      <div>SensorItemSelector</div>
    );
  }

}
