import * as React from 'react';
import { Table } from 'semantic-ui-react';

export class Targets extends React.Component<any, any> {
  private data: any;

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
      selected: null,
    };
  }
  handleSelect(selectedTarget: object) {
    this.setState({
      selected: selectedTarget,
    });
  }

  componentWillMount() {
    this.data = [
      {
        "id": "1",
        "createDate": "",
        "probe": {
          "id": "1",
        },
        "infra": {
          "id": "1",
          "metaInfraType": {
            "id": "1",
            "name": "OS",
            "createDate": "424252"
          },
          "childId": "1",
          "createDate": "13345235"
        },
      },
      {
        "id": "2",
        "createDate": "",
        "probe": {
          "id": "1",
        },
        "infra": {
          "id": "1",
          "metaInfraType": {
            "id": "1",
            "name": "OS",
            "createDate": "424252"
          },
          "childId": "1",
          "createDate": "13345235"
        },
      },
    ];
  }

  render() {

    return (
      <Table celled selectable striped>
        <Table.Header>
          <Table.Row>
            <Table.HeaderCell textAlign={'center'}>No.</Table.HeaderCell>
            <Table.HeaderCell textAlign={'center'}>Type</Table.HeaderCell>
            <Table.HeaderCell textAlign={'center'}>Name</Table.HeaderCell>
            <Table.HeaderCell textAlign={'center'}>Created At</Table.HeaderCell>
          </Table.Row>
        </Table.Header>

        <Table.Body>
          {this.data.map((target: any, index: number) => (
            <Table.Row key={index} onClick={this.handleSelect.bind(this, target)}>
              <Table.Cell textAlign={'center'}>{index + 1}</Table.Cell>
              <Table.Cell textAlign={'center'}>{target.infra.metaInfraType.name}</Table.Cell>
              <Table.Cell>{target.childId}</Table.Cell>
              <Table.Cell>{target.createDate}</Table.Cell>
            </Table.Row>
          ))}
        </Table.Body>
      </Table>
    );
  }
}



